Confusing versioning of language-selector

Bug #1899376 reported by Gunnar Hjalmarsson on 2020-10-11
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Kylin
Undecided
Unassigned
language-selector (Ubuntu)
Undecided
Unassigned

Bug Description

My attention was called to the existence of version 0.304 of language-selector in some of the <https://launchpad.net/~ubuntukylin-members> PPAs. It happened in a rather annoying way:

https://discourse.ubuntu.com/t/request-better-arabic-font-for-ubuntu-20-04/14573/183

I don't know how 'official' those PPAs are, but I see that the only difference compared to language-selector in the official Ubuntu archive is that users are not prompted to pull the fcitx-ui-qimpanel package.

Ok.. So maybe it's no longer suitable for UKUI to install that package. But if that's the case, how about handling that in the official language-selector version?

* If it's no longer useful for any Fcitx users, we could simply drop it from pkg_depends

* If it's still useful for non-UKUI Fcitx users, we could stop language-selector from pulling it for UKUI users

In any case it's highly desirable to get away from a situation where some users have a version of language-selector which blocks them from updates.

Please let me know how you think this should best be handled.

handsome_feng (feng-kylin) wrote :

First of all, sorry for the inconvenience. I have deleted the package from the PPA and will make a statement about this issue.

We made that change was because the sogou input method conflicted with fcitx-ui-qimpanel and they needed to hijack the same dbus. We came up with this bad idea when we couldn't change the Sogou input code, not realizing the potential problems that could follow.

Now we're communicating with Sogou to find another way to fix the problem, thanks!

Gunnar Hjalmarsson (gunnarhj) wrote :

Thanks for addressing the issue so quickly, @handsome_feng. Closing the bug, since it now has served its purpose of calling your attention to it. :)

Changed in ubuntukylin:
status: New → Fix Released
Changed in language-selector (Ubuntu):
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers